#!/bin/sh
# ffpip von ice32

ffmpid=$(pidof ffmpeg)
osd_res=$(cat /var/tuxbox/config/neutrino.conf | grep -e osd_resolution=1)
x_scale=480
x_offset=1425

if [ -n "$ffmpid" ]; then
    kill -TERM "$ffmpid"
else
    if [ -z "$osd_res" ]; then
	    x_scale=320
	    x_offset=945
    fi
    nice -n -1 ffmpeg -threads 2 -nostdin -loglevel panic -i http://127.0.0.1:31339 \
    -map 0:v -b:v 4500k -maxrate 4500k -bufsize 4500k \
    -vf scale="$x_scale":-1:sws_flags="bitexact" \
    -r 25 -an -sn -pix_fmt bgra -yoffset 15 -xoffset "$x_offset" -f fbdev /dev/fb/0 \
     &
fi

exit 0
